org.apache.tomcat.util.net

## Class AprEndpoint.SocketProcessor

- java.lang.Object
- - org.apache.tomcat.util.net.AprEndpoint.SocketProcessor

- All Implemented Interfaces:
    Runnable
  Enclosing class:
    AprEndpoint

      protected class AprEndpoint.SocketProcessor
      extends Object
      implements Runnable

  This class is the equivalent of the Worker, but will simply use in an external Executor thread pool.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AprEndpoint.SocketProcessor(SocketWrapper<Long> socket, SocketStatus status)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AprEndpoint.SocketProcessor

          public AprEndpoint.SocketProcessor(SocketWrapper<Long> socket,
                                     SocketStatus status)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.